       function goesbrit(rad,kan)
c
c 04/10/2001  JPN  Added PN variable
c
c * GOES/I-M brightness temperature from radiance
c .... version of 22.03.01
c * updated to work with new 26-word FK1, FK2, etc. arrays (read from goestbnd.dat via GOESPFCO)

c   Call GOESPFCO before using this or GOESPLAN or GOESDBDT or GOESSKIN
c      rad = radiance, standard units
c      kan = channel number: 1,...,26

	parameter (nk=26,nt=2)

        character*15 PN

	common/plncgx/cwn(nk),fk1(nk),fk2(nk),tc(nt,nk)
        data PN/'(GOESBRIT.FOR)'/

	k=kan
	expn=fk1(k)/rad+1.
	tt=fk2(k)/alog(expn)
	goesbrit=(tt-tc(1,k))/tc(2,k)

	return
	end
