      SUBROUTINE LLVA(LN,LS,LW,LE)
C $   SUBROUTINE LLVA(LN,LS,LW,LE) (CMH)
C $  FIND LAT/LON BOUNDS BASED ON KEYWORDS OR VASTEXT; LONGITUDES >0
C $  LE ALWAYS LESS THAN LW;  LW WILL BE > 360 IF STRADDLING GREENWICH
C $  ROUTINE UPDATES IDOC(25) AND IDOC(26) LLNW/LLSE IN VASTEXT
C $ LN = (I) OUTPUT NORTHERN LATITUDE (-S +N)
C $ LS = (I) OUTPUT SOUTHERN LATITUDE
C $ LW = (I) OUTPUT WESTERN LONGITUDE (0-720; WEST)
C $ LE = (I) OUTPUT EASTERN LONGITUDE (< WESTERN)
C $$ LLVA = VAS,I/O,MD
      CHARACTER*12 CFI,CFF
      COMMON /DOC/IDOC(100)
      LAS=IKWP('LAT',1,999999)
      LAN=IKWP('LAT',2,999999)
      LOE=IKWP('LON',1,999999)
      LOW=IKWP('LON',2,999999)
C     NOTE LON KEYWORD IS EAST WEST, NOT MIN MAX DESPITE WHAT 6TH
C     FLOOR THINKS
      IDLN=IDOC(25)/1000
      IDLS=IDOC(26)/1000
      IDLOW=IABS(MOD(IDOC(25),1000))
      IDLOE=IABS(MOD(IDOC(26),1000))
      IF (LAS.NE.999999) IDLS = LAS
      IF (LAN.NE.999999) IDLN = LAN
      IDLAS=IABS(IDLS)
      IDLAN=IABS(IDLN)
C     SAVE SIGN
      ISNW=ISIGN(1,IDLN)
      ISSE=ISIGN(1,IDLS)
      IF (LOE.NE.999999) THEN
         IF (LOE.LT.0) THEN
            IDLOE = 360 + LOE
         ELSE
            IDLOE = LOE
         ENDIF
      ENDIF
      IF (LOW.NE.999999) THEN
         IF (LOW.LT.0) THEN
            IDLOW = 360 + LOW
         ELSE
            IDLOW = LOW
         ENDIF
      ENDIF
      IDOC(25) = ISNW*(IDLAN*1000 + IDLOW)
      IDOC(26) = ISSE*(IDLAS*1000 + IDLOE)
                                          
      LLNW=IDOC(25)
      LLSE=IDOC(26)
      LN=LLNW/1000
      LS=LLSE/1000
      LW=IABS(MOD(LLNW,1000))
      LE=IABS(MOD(LLSE,1000))
      IF (LW.LT.LE)LW=LW+360
C     ABOVE FOR GREENWICH, WESTERN LON MUST BE GREATER THAN EASTERN
C     CALL SDEST('LN,LS,LW,LE'//CFI(LN)//CFI(LS)//CFI(LW)//CFI(LE),0)
      RETURN
      END
