      FUNCTION MDGET3(MDNO,M,N,ARRAY)                                           
C-----READ ROW HEADER + COL HEADER + DATA PORTION OF RECORD IN MD FILE          
C-----EVEN IF M,N  SPECIFY ROW OR COLUMN HEADER (I.E. EITHER, BUT NOT           
C-----   BOTH, ARE 0), ARRAY MUST BE BIG ENOUGH TO HOLD AN ENTIRE MD            
C-----   RECORD (ROW HEADER+COL HEADER+DATA PORTION).                           
C                                                                               
C-----FN VAL IS 0 (OK), OR ANY SUM OF: -100 (ROW HEADER MISSING)                
C-----   -10 (COL HEADER MISSING) -1 (DATA PORTION MISSING)                     
C                                                                               
C                                                                               
      IMPLICIT INTEGER (A-Z)                                                    
      DIMENSION ARRAY(400)                                                      
C-----FOLLOWING COMMON BLOCK GIVES LAYOUT OF FILE HEADER.                       
      COMMON/MDCOM/ SNAME,SVSN,SDATE,NR,NC,NKEYS,NRKEYS,NCKEYS,NDKEYS,          
     *   CPOS,DPOS,NREPS,REPSIZ,REPPOS,MDATA,ID,TEXTID(8),CPROJ,CDATE,          
     *   COWNER,FRHOF,FCHOF,FDATOF,FENDOF,FUSROF,FNAMOF,FSCAOF,                 
     *   FUNIOF,UNUSED(26),CFNAM(2),CMDNO,MDHED(64,5),BUF(400)                  
      DATA MAXHED/5/,HEDSIZ/64/,MAXFLD/400/                                     
C                                                                               
C                                                                               
      MDGET3=-111                                                               
      IF (MDNO.EQ.CMDNO) GOTO 4                                                 
         DO 2 J=1,MAXHED                                                        
            IF (MDHED(HEDSIZ,J).EQ.MDNO) GOTO 3                                 
 2       CONTINUE                                                               
         GOTO 11                                                                
 3       CALL MOVW(HEDSIZ,MDHED(1,J),SNAME)                                     
 4    CONTINUE                                                                  
      DO 6 J=1,NKEYS                                                            
 6    ARRAY(J)=MDATA                                                            
      MDGET3=0                                                                  
      IF (M.LE.0.AND.N.LE.0) GOTO 10                                            
      IF (M.LE.0) GOTO 8                                                        
      IF (MDGET(MDNO,M,0,ARRAY).NE.0) MDGET3=MDGET3-100                         
 8    IF (N.LE.0) GOTO 9                                                        
      IF (MDGET(MDNO,0,N,ARRAY).NE.0) MDGET3=MDGET3-10                          
 9    IF (M.LE.0.OR.N.LE.0) GOTO 11                                             
 10   IF (MDGET(MDNO,M,N,ARRAY).NE.0) MDGET3=MDGET3-1                           
 11   RETURN                                                                    
      END                                                                       
