      SUBROUTINE TVALUEX(IDL,FSCL,VAL)
C     NOTE...THERE MUST BE A CALL TO GRDDEF IN MAIN PROGRAM
C     THIS WILL HAVE DEFINED IGLOMX
      DIMENSION IDL(70000)
      COMMON /NAV/VLAT,VLON,VZEN,SZEN,IL,IE,IRAS,IPIC,ITIME,JTIME,JDAY
      COMMON /DIMEN/NROWS,NCOLS,XROW,XCOL
C     
C     EXPERIMENT SUGGESTS THAT LLIJ WILL WORK ON PS GRIDS WITH INPUT OF
C     +W -E; HOWEVER, IT WILL ONLY WORK ON MERCATOR IF 0-360W.  THE 
C     LATTER ALSO SEEMS TO WORK ON PS. 
C
      ALON = VLON
      IF (ALON .LT. 0) ALON = ALON+360.
      CALL LLIJ(VLAT,ALON,XROW,XCOL)
      XROW=XROW-1
      XCOL=XCOL-1
      ICOL=XCOL
      IF (XCOL.LT.-0.1)GO TO 200
C     WE WILL EXTRAPOLATE A WEE BIT OUTSIDE OF THE GRID FOR NAV ROUNDING
      IF (ICOL.GT.NCOLS-2)ICOL=NCOLS-2
      DELI=XCOL-ICOL
      IF (DELI.GT.1.1)GO TO 200
C     DUN CHECKED THIS MUTHA TO HEAH
      IROW=XROW
      IF (XROW.LT.-0.1)GO TO 200
C     DUN CHECKED THIS MUTHA TO HEAH
      IF (IROW.GT.NROWS-2)IROW=NROWS-2
      DELJ=XROW-IROW
      IF (DELJ.GT.1.1)GO TO 200
      L=ICOL*NROWS+IROW+1
      VAL=TERP(IDL(L),IDL(L+NROWS),IDL(L+1),IDL(L+NROWS+1),DELI,DELJ)
      VAL=VAL/FSCL
      RETURN
  200 CONTINUE
      VAL=999999.
      RETURN
      END
      FUNCTION TERP(O1,O2,O3,O4,DELI,DELJ)
C $ INTERPOLATE A VALUE IN TWO DIMENSIONS
C $ INPUT:  O1 = (I) TOP LEFT VALUE
C $         O2 = (I) TOP RIGHT VALUE
C $         O3 = (I) BOTTOM LEFT VALUE
C $         O4 = (I) BOTTOM RIGHT VALUE
C $         DELI = (R) HORIZONTAL INCREMENT
C $         DELJ = (R) VERTICAL INCREMENT
C $ FUNCTION VALUE IS THE INTERPOLATED VALUE
      INTEGER*4 O1,O2,O3,O4
      TL=FLOAT(O1)
      TR=FLOAT(O2)
      BL=FLOAT(O3)
      BR=FLOAT(O4)
      TOP=TL+DELI*(TR-TL)
      BOT=BL+DELI*(BR-BL)
      TERP=TOP+DELJ*(BOT-TOP)
      RETURN
      END
