      SUBROUTINE VRTIO(IREC,NREC,IOPT)
C $ SUBROUTINE VRTIO(IREC,NREC,IOPT)              (CMH)
C $ VAS MD FILE I/O
C $ IREC = (I) OUTPUT  BUFFER TO FILL
C $ NREC = (I) INPUT  NUMBER OF RECORDS, IF =0 PERFORM ACTION ON HEADER
C $ IOPT = (I) INPUT  IF =0 READ; IF NOT 0 WRITE
C $$ VRTIO = VAS,I/O,MD
      IMPLICIT INTEGER(A-Z)
      PARAMETER (LENR=246)
      DIMENSION IREC(LENR),IFLNM(2),NBUF(33)
      CHARACTER*8 MFILE
      CHARACTER*12 CKWP
      COMMON /DOC/IDOC(100)
      COMMON /TERMN/ITERM
      EQUIVALENCE (IDOC(40),MDNR),(IDOC(41),MDRR)
      DATA INIT/0/,LUN/20/,LEN/100/
C **   CHECK INITIALIZATION ENTRY
      IF (INIT.EQ.0)GO TO 1
      GO TO 2
    1 INIT=1
      IF(ITERM.EQ.0)ITERM=LUC(0)
      MFILE=CKWP('TEXT',1,'G9IMTEXT')
      CALL LWOPN(MFILE,LUN,LEN)
      CALL LWREAD(LUN,ITERM,IDOC)
      CALL LWCLS(LUN)
C     CHECK EXISTENCE OF RETRIEVAL MD FILE
      IF (MDOPEN(MDNR,2).LT.0)GO TO 990
    2 IF (NREC.NE.0)GO TO 4
      IF (IOPT.EQ.0)GO TO 3
C     WRITE ROW HEADER
      IOK=MDPUT(MDNR,MDRR,0,IREC)
      IF (IOK.LT.0)GO TO 960
C     WRITE DOCUMENTATION FILE
      CALL LWOPN(MFILE,LUN,LEN)
      CALL LWRITE(LUN,ITERM,IDOC)
      CALL LWCLS(LUN)
      RETURN
    3 CONTINUE
C     READ ROW HEADER TO GET TIME/RETRIEVAL INFO
      IOK=MDGET(MDNR,MDRR,0,IREC)
      IF (IOK.NE.0)GO TO 980
      RETURN
    4 IF (IOPT.NE.0)GO TO 5
      IOK=MDGET(MDNR,MDRR,NREC,IREC)
      IF (IOK.LT.0)GO TO 995
      RETURN
    5 IOK=MDPUT(MDNR,MDRR,NREC,IREC)
      IF (IOK.LT.0)GO TO 970
      RETURN
  960 CALL SDEST(' ERROR IN WRITING ROW HEADER FOR ROW',MDRR)
      GO TO 1000
  970 CALL SDEST(' ERROR IN MD WRITE...RETRIEVAL NO.',NREC)
      GO TO 1000
  980 CALL SDEST(' ERROR IN READING ROW HEADER FOR ROW',MDRR)
      IREC(1)=-1
      RETURN
C     READING ERRORS ARE CONSIDERED NON-FATAL
  995 CONTINUE
      IREC(1)=-1
      RETURN
  990 CALL SDEST(' UNABLE TO OPEN RETRIEVAL MD FILE...',0)
 1000 CALL MCABORT(0)
      END
