/* McIdas AIX area directory */
struct Directory {
int  exist;	/* zero if exists */
int  type;	/* type 4 - new format */
int  sat_id;	/* satellite id */
int  yyddd;	/* year & day of year */
int  time;	/* hhmmss */
int  lcor;	/* top most line in area */
int  ecor;	/* left most element in area */
int  zcor;	/* z coordinate - not used */
int  nlin;	/* number of lines */
int  nele;	/* number of elements per line 		w10*/
int  data_bytes;/* number of bytes per data element (per band per pixel */
int  lres;	/* line resolution 1= one for one >1 reduction (every lres pix)*/
int  eres;	/* element resolution */
int  nbands;	/* number of bands per element */
int  line_pref;	/* bytes in line prefix (mult of 4) */
int  proj_no;	/* project number */
int  creat_date;/*create date */
int  creat_time;/*create time */
int  chan_map;	/* channel map for multiband right most bit is band 1 1=band present */
int  ident[5];	/* identification */
int  memo[8];
int  primary_key;
int  data_loc;	/* location of data in file (0 based) */
int  nav_loc;	/* location of navigation codicil in file (zero based byte) w35*/
int  validity_code;	/* validity code, must match line prefix, 0 - no code */
int  pdl[8];	/* for Mode AA */
int  xband8;	/* for Mode AA */
int  actual_start_day;
int  actual_start_time;
int  actual_start_scan;
int  len_doc;	/* length of documentation section in prefix mult of 4 bytes*/
int  len_cal;	/* length of calibration section in prefix mult of 4 bytes*/
int  len_lev;	/* length of level section in prefix mult of 4 bytes*/
int  source_type;	/* source type (VISR VAS AVHR ...) w 52 */
int  calib_type;	/* calibration type (RAW BRIT TEMP RAD) */
int  internal_use[9];
int  cal_loc;	/* location of calibration block */
int  Num_comment_blok;	/* number of 80 byte comment blocks */
};

typedef struct Directory *Direct_ptr;

#ifdef MAINR
Direct_ptr directptr;
#else
extern Direct_ptr directptr;
#endif
