        Subroutine CreateLogFile (unit,logfile,MaximumRecords)
C==============================================================
C
      IMPLICIT None
C
C Declare Integer Type Variables
C
      integer 
     >    MaximumRecords,     !Maximum Records entered by user
     >    ios,                !Error status of file opened
     >    unit,               !Random Access File Unit
     >    CurrentRecord,      !Number Of next Record to write
     >    RecordCount,        !Number of Valid Records written
     >    NewMaximum,         !Default Max if user Errors
     >    valid
C
C Declare Logical Type Variables
C
      LOGICAL 
     > THERE                  !Status of Existing file
C
C
C Declare Character Type Variables
C
      CHARACTER 
     > FileName*30,           ! Name of Log file
     > SetLogFileName*30,     ! Name of Function with log name
     > com*40                 ! Command to be sent to system
     
      Character*(*)
     > logfile
C
C Setup Local Variable Data Statements ..
C
      Data com /'                                      '/
      FileName = SetLogFileName(unit, 'x')
      print*, 'filename is ', filename
C
C
C Change name of log file if valid logfile name is entered
C
      print*, 'Before call to LEN, valid is ', valid
      valid = LEN(Filename)
      print*, 'After call to LEN, valid is ', valid
      if (valid .GT. 5) then
          FileName = SetLogFileName(unit, logfile)
      endif
      print*, 'valid is ', valid
C
C

C Check for the existence of the log file...

200   INQUIRE (FILE=FileName, EXIST=THERE)
C
C If there exist a log file on disk, delete file and
C check again to make sure the file was delete. 
C
      IF (THERE) THEN
          write(6,*)'Trying to delete the file'
          com = 'rm '//FileName
            call syscall(com)
            goto 200
      END IF
     
ccjd
      print*, 'ready to open new file'
C
C Open Random Access file as NEW ..
C Changed RECL from 125 to 500 RDR 4/27/07
C
      OPEN (UNIT=unit, 
     >      FILE=FileName,
     >      ACCESS='DIRECT', 
     >      RECL=500, 
     >      IOSTAT=ios, 
     >      STATUS='NEW',
     >      FORM='UNFORMATTED')
              
      print *, 'file has been opened'
     
        
        CurrentRecord = 2
        RecordCount = 0
        
C
C Check to see if the User Maximum is greater than 
C forty-nine (49) if it is not set Maximum to default
C value of five hundred (500).
C
      print *,"test of maxrecords "
C
C Maximum Record not passed as a parameter
C Removing a references to it
C
C      IF (MaximumRecords .LE. 0 ) then
             NewMaximum = 500
C      else
C          NewMaximum = MaximumRecords
C      end if
      
C
C Write Header record in Random Access File and Close...

      print *,"before write of header"
      WRITE (UNIT=unit, REC=1) NewMaximum, 2, 0

      print *,"After write of header"
      CLOSE (UNIT=unit)
      RETURN

      END

