C ********************************************************************* 
C                                                                       
C  COMMON AREA /GOESYS/       11 DEC 91     JAIME DANIELS (HUGHES/STX)  
C                                                                       
C  THIS MDB COMMON CONTAINS LW FILENAMES AND PARAMETERS COMMON TO ALL OR
C  SOME OF THE GOES SUBSYSTEMS (IE., SOUNDING PRODUCT GENERATION,       
C  RAOB/ANALYSIS MATCH, PRODUCT ARCHIVE, SYSTEM/SCIENCE MONITORING)     
C                                                                       
C  VARIABLE    TYPE          DESCRIPTION                                
C  ---------   ------        -----------                                
C                                                                       
C  CLWNAM(20)  CHARACTER*8   LW FILENAMES FOR THE FOLLOWING FILES       
C                            CLWNAM(1) = SYSTEM MONITORING FILE         
C                            CLWNAM(2) = PARAMETER HISTORY FILE         
C                            CLWNAM(3) = ERROR MESSAGE PDS MEMBER       
C                            CLWNAM(4-20) = SPARES                      
C  NFILL       INTEGER*4     SPARES TO FILL OUT THE RECORD IN GROUP 5,  
C                            MDB TO 2269 4-BYTE WORDS                   
C  PSYSID      CHARACTER*4   PROCESSING SYSTEM IDENTIFICATION           
C                            FOR EXAMPLE: OPR1 - OPERATIONAL SPACECRAFT 
C                                                SYSTEM 1               
C                                         OPR2 - OPERATIONAL SPACECRAFT 
C                                                SYSTEM 2               
C                                         PAR3 - PARALLEL SPACECRAFT    
C                                                SYSTEM 3               
C                                         PAR4 - PARALLEL SPACECRAFT    
C                                                SYSTEM 4               
C                                         STAT - STATIC SPACECRAFT      
C                                                SYSTEM                 
C                                                                       
C ********************************************************************* 
C                                                                       
      CHARACTER*4 PSYSID                                                
      CHARACTER*8 CLWNAM(20)                                            
C                                                                       
      INTEGER*4 NFILL(2228)                                             
C                                                                       
      COMMON /GOESYS/ PSYSID, CLWNAM, NFILL                             
C                                                                       
