C Actually fill IMSAT  (21Jun95) -- from the area header!
C New gvar_pfx version (9Mar95)
C	- IDET -- sounder detector number (added to common 'last')
C Print GVAR line prefix ( sounder & imager)
C Geary Callan  NOAA/NESDIS  608-264-5325
C BETA version !!!!
C bytes 1 - 4  word 1   VC
C       5 - 13      2 - 4.25 SAD block
C      14 - 21      4.5 - 6.25  time
C      22 - 23      6.5 - 6.75  SSCAN
      SUBROUTINE GVAR_PFX (IAREA, LLI, LENPFX)
      INTEGER DIRECT(64)
      INTEGER IDOC(256)
      INTEGER ITIMES(16), LEVELS(19)
      INTEGER ISSCAN
      INTEGER LOC,ILOC		! byte, integer index for presence of val code
      INTEGER CRC_STAT		! imager- block header CRC status
      INTEGER LEN_DOC		! length of prefix documentation
      INTEGER LEN_CAL		! length of prefix calibration
      INTEGER LENG
      INTEGER N_BANDS		! number of bands in area
      integer year,dayofyr,hour,min,sec,msec
      character*6 SPACE_CRAFT_ID(5)
C     1  /6hGOES-I, 6HGOES-J, 6hGOES-K, 6hGOES-L, 6hGOES-M/
      LOGICAL BTEST
      PARAMETER (NA=5)
      PARAMETER (NB=5)
      PARAMETER (NBPT=19068)
      COMMON/ARACOM/NAREA,AREAS(NA),NEL(NA),NOFF(NA),MAXSIZ(NA),
     1 ARADIR(64,NA),NCALB(4,NA),OPTION(NB,NA),FLIP(NA)
      COMMON /SIMSAT/IMSAT,IMAGE,IMODE,ISTEP
      COMMON /ARENT/DIRECT
      COMMON /LAST/LASLIN,LASELE,LELEV,ICHAR,JT,JD,IDET
      DATA SPACE_CRAFT_ID /6hGOES-I, 6hGOES-J, 6hGOES-K,
     1 6hGOES-L, 6hGOES-M/
C
      CALL READD (IAREA,DIRECT)
c     figure out which satellite we have (8,9,...)
      imsat = ((direct(3)-68)/2+7)
c
      LENPFX = DIRECT(15) / 4
      if (LENPFX .ne. 0) then
       LENPRF = LENPFX
       ELSE
       LENPRF = 10
      endif
      N_BANDS = DIRECT(14)
      LEN_DOC = DIRECT(49)
      LEN_CAL = DIRECT(50)
      CALL REDPFX (IAREA,LLI,IDOC)
c     write (6,6000) LLI, LENPRF
 6000 format ('GVAR line ',i8,'  prefix, length',i6)
c     write (6,6001) (idoc(i),i=1,LENPRF)
 6001 format (10z9)
      IF (MOD(DIRECT(3),2) .NE. 0) THEN	! sounder
      LOC = 0
      ILOC = 0
      IF (DIRECT(36) .NE. 0) THEN
c     WRITE (6,6111) DIRECT(36)
 6111 FORMAT ('validity code ',z8)
      LOC = 4
      ILOC = 1
      ENDIF
c     write (6,6009)
      IF (LEN_DOC .EQ. 0) GOTO 8
C SAD Block Identification
      ID = LBTOI (idoc(1+ILOC), 1)
c     write (6,6002) ID, SPACE_CRAFT_ID(ID-7)
 6002 FORMAT ('space craft ID ',I3,2X,A6)
      ISPS = LBTOI (idoc(1+ILOC), 2)
c     write (6,6003) ISPS
 6003 FORMAT ('sensor processing system',I2)
      IDDT = LBTOI (idoc(1+ILOC), 3)
c     write (6,6004) IDDT
 6004 FORMAT ('data identity',i4)
C TIME
      CALL UNPKTIME (IDOC,ITIMES,9+LOC)
      year = itimes(1)*1000 + itimes(2)*100 + itimes(3)*10 + itimes(4)
      dayofyr = itimes(5)*100 + itimes(6)*10 + itimes(7)
      hour = itimes(8)*10 + itimes(9)
      min  = itimes(10)*10 + itimes(11)
      sec  = itimes(12)*10 + itimes(13)
      msec = itimes(14)*100 + itimes(15)*10 + itimes(16)
c     write (6,6005) year,dayofyr,hour,min,sec,msec
 6005 FORMAT ('time: year',i5,' day of year',i4,' hh:mm:ss '
     1        ,i2,1h:,i2,1h:,i2,' msec',i4)
C SSCAN
      ISSCAN = ISHFT(idoc(5+ILOC),-8)
c     write (6,'(''isscan '',z9)') isscan
      IF (btest(ISSCAN,15)) THEN		! frame start
c     write (6,6010)
      ELSE
c     write (6,6011)
      ENDIF
      IF (btest(ISSCAN,14)) THEN		! frame end
c     write (6,6012)
      ELSE
c     write (6,6013)
      ENDIF
      IF (btest(ISSCAN,13)) THEN		! frame break
c     write (6,6014)
      ELSE
c     write (6,6015)
      ENDIF
      IF (btest(ISSCAN,12)) THEN		! line break
c     write (6,6016)
      ELSE
c     write (6,6017)
      ENDIF
      IF (btest(ISSCAN,11)) THEN		! priority 1 frame data
c     write (6,6018)
      ELSE
c     write (6,6019)
      ENDIF
      IF (btest(ISSCAN,10)) THEN
c     write (6,6020)
      ELSE
c     write (6,6021)
      ENDIF
      IF (btest(ISSCAN,9)) THEN
c     write (6,6022)
      ELSE
c     write (6,6023)
      ENDIF
      IF (btest(ISSCAN,8)) THEN
c     write (6,6024)
      ELSE
c     write (6,6025)
      ENDIF
      IF (btest(ISSCAN,7)) THEN
c     write (6,6026)
      ELSE
c     write (6,6027)
      ENDIF
      IF (btest(ISSCAN,6)) THEN		! dwell mode
	IMODE=4
c     write (6,6028)
      ELSE IF (btest(ISSCAN,5)) THEN
	IMODE=2
c     write (6,6029)
      ELSE IF (btest(ISSCAN,4)) THEN
	IMODE=1
c     write (6,6030)
      ELSE
c     write (6,'(''dwell mode not set'')')
      ENDIF
      IF (btest(ISSCAN,3)) THEN
c     write (6,6031)
	ISTEP=1
      ELSE
c     write (6,60311)
	ISTEP=0
      ENDIF
      IF (btest(ISSCAN,2)) THEN
c     write (6,6032)
      ELSE
c     write (6,6033)
      ENDIF
      IF (btest(ISSCAN,1)) THEN
c     write (6,6034)
      ELSE
c     write (6,6035)
      ENDIF
      IF (btest(ISSCAN,0)) THEN
c     write (6,6036)
      ELSE
c     write (6,6037)
      ENDIF
C DETECTOR STATUS
      CALL DETSTAT (IDOC(ILOC+1),IDET)
 8    CONTINUE		! start of level part of prefix
C LEVELS
      LENG = (LEN_DOC + LEN_CAL) / 4
      K = 0
      DO 12 j=1,5
      DO 10 i=1,4
      K = K + 1
      IF (K .EQ. 20) GOTO 12
c use prefix doc len + prefix cal len for 9 below
      LEVELS(K) = LBTOI (idoc(LENG+J+ILOC), I)
 10   CONTINUE
 12   CONTINUE
c     WRITE (6,6040) (LEVELS(I),I=1,N_BANDS)
 6040 FORMAT ('levels'/10i5/9I5)
      JD=1000*(MOD(YEAR,100))+DAYOFYR
      JT=HOUR*10000+MIN*100+SEC
      RETURN
C
      ELSEIF (MOD(DIRECT(3),2) .EQ. 0) THEN	! imager
c     write (6,6109)
c     write (6,6001) (idoc(i),i=1,LENPRF)
      LOC = 0
      ILOC = 0
      IF (DIRECT(36) .NE. 0) THEN
c     WRITE (6,6111) DIRECT(36)
      LOC = 4
      ILOC = 1
      ENDIF
      IF (LEN_DOC .EQ. 0) GOTO 18
      CRC_STAT = LBTOI(idoc(ILOC+1),2) 
      if (btest(CRC_STAT,0)) then
c      write (6,6112)
 6112 format ('block header 1 CSC is bad')
      endif
      if (btest(CRC_STAT,1)) then
c      write (6,6113)
 6113 format ('block header 2 CSC is bad')
      endif
      if (btest(CRC_STAT,2)) then
c      write (6,6114)
 6114 format ('block header 3 CSC is bad')
      endif
C SSCAN
      ISSCAN = idoc(ILOC+1)
c     write (6,'(''isscan '',Z9)') isscan
      IF (btest(ISSCAN,15)) THEN		! frame start
c     write (6,6010)
      ELSE
c     write (6,6011)
      ENDIF
      IF (btest(ISSCAN,14)) THEN		! frame end
c     write (6,6012)
      ELSE
c     write (6,6013)
      ENDIF
      IF (btest(ISSCAN,13)) THEN		! frame break
c     write (6,6014)
      ELSE
c     write (6,6015)
      ENDIF
      IF (btest(ISSCAN,12)) THEN		! line break
c     write (6,6016)
      ELSE
c     write (6,6017)
      ENDIF
      IF (btest(ISSCAN,11)) THEN		! priority 1 frame data
c     write (6,6018)
      ELSE
c     write (6,6019)
      ENDIF
      IF (btest(ISSCAN,10)) THEN
c     write (6,6020)
      ELSE
c     write (6,6021)
      ENDIF
      IF (btest(ISSCAN,9)) THEN
c     write (6,6022)
      ELSE
c     write (6,6023)
      ENDIF
      IF (btest(ISSCAN,8)) THEN
c     write (6,6024)
      ELSE
c     write (6,6025)
      ENDIF
      IF (btest(ISSCAN,7)) THEN			! true if IMC active
c     write (6,6026)
      ELSE
c     write (6,6027)
      ENDIF
C TIME
      CALL UNPKTIME (IDOC,ITIMES,LOC+6)
      year = itimes(1)*1000 + itimes(2)*100 + itimes(3)*10 + itimes(4)
      dayofyr = itimes(5)*100 + itimes(6)*10 + itimes(7)
      hour = itimes(8)*10 + itimes(9)
      min  = itimes(10)*10 + itimes(11)
      sec  = itimes(12)*10 + itimes(13)
      msec = itimes(14)*100 + itimes(15)*10 + itimes(16)
c     write (6,6005) year,dayofyr,hour,min,sec,msec
 18   CONTINUE
C LEVELS
      LENG = (LEN_DOC + LEN_CAL) / 4
      K = 0
      DO 22 j=1,5
      DO 20 i=1,4
      K = K + 1
      IF (K .GT. 5) GOTO 22
      LEVELS(K) = LBTOI (idoc(LENG+J+ILOC), I)
 20   CONTINUE
 22   CONTINUE
c     WRITE (6,6140) (levels(I),I=1,N_BANDS)
 6140 FORMAT ('levels'/5i5)
C
      ENDIF				! end of sounder-imager block
      JD=1000*(MOD(YEAR,100))+DAYOFYR
      JT=HOUR*10000+MIN*100+SEC
 6009 FORMAT ('GOES    SOUNDER')
 6010 FORMAT ('frame start')
 6011 FORMAT ('not frame start')
 6012 FORMAT ('frame end')
 6013 FORMAT ('not frame end')
 6014 FORMAT ('frame break - lines lost')
 6015 FORMAT ('no frame break')
 6016 FORMAT ('line break - pixels lost')
 6017 FORMAT ('no line break')
 6018 FORMAT ('priority 1 frame in progress')
 6019 FORMAT ('priority 1 frame off')
 6020 FORMAT ('priority 2 frame in progress')
 6021 FORMAT ('priority 2 frame off')
 6022 FORMAT ('East to West scan')
 6023 FORMAT ('West to East scan')
 6024 FORMAt ('South to North frame')
 6025 FORMAt ('North to South frame')
 6026 FORMAt ('IMC active')
 6027 FORMAT ('IMC not active')
 6028 FORMAT ('dwell mode = 4')
 6029 FORMAT ('dwell mode = 2')
 6030 FORMAT ('dwell mode = 1')
 6031 FORMAT ('N/S step mode = double')
60311 FORMAT ('N/S step mode = regular')
 6032 FORMAT ('side 2 electronics active')
 6033 FORMAT ('side 1 electronics active')
 6034 FORMAt ('visible normalization active')
 6035 FORMAt ('visible normalization inactive')
 6036 FORMAt ('IR calibration active')
 6037 FORMAt ('IR calibration inactive')
C	imager format statements
 6109 FORMAT ('GOES    IMAGER')
      END
      INTEGER FUNCTION LBTOI (WORD,K)
      INTEGER IWORD, WORD
      LOGICAL LWORD
      LOGICAL*1 L4(4), LHOLD
      EQUIVALENCE (IWORD, LWORD, L4)
C
      IWORD = WORD
      LHOLD = L4(K)
      IWORD = 0
      L4(4) = LHOLD
      LBTOI = IWORD
      RETURN
      END
      SUBROUTINE UNPKTIME (LDOC,ITIMES,LOC)
C LOC is 13 for sounder,  11 for imager
      integer IDOC(256), ITIMES(16), mask1, mask2, mask3
C      integer mask1 /z0000000F/, mask2 /z000000F0/
C      integer mask3 /z000000FF/
      logical lword
      logical*1 ldoc(256)
      equivalence (lword,iword)
      DATA mask1 /z'0000000F'/, mask2 /z'000000F0'/, mask3 /z'000000FF'/
C
      K = 0
      DO 1 I=1,8
      lword = ldoc(LOC+i)
      iword = iand(iword,mask3)
      K = K + 1
      ITIMES(k) = iand(iword,mask2)
      ITIMES(k) = ISHFT(ITIMES(k),-4)
      K = K + 1
      ITIMES(k) = iand(iword,mask1)
 1    CONTINUE
      RETURN
      END
      SUBROUTINE DETSTAT (LDOC,IDET)
      INTEGER ISTATS(20), DETECTOR, mask1, mask2, mask3
      logical lword
      LOGICAL*1 LDOC(256)
C      integer mask1 /z0000000F/, mask2 /z000000F0/
C      integer mask3 /z000000FF/
      equivalence (lword,iword)
      DATA mask1 /z'0000000F'/, mask2 /z'000000F0'/, mask3 /z'000000FF'/
C
C Each value is is half a byte.  Unpack high end then low end consectuvly.
      K = 0
      DO 1 I=1,10
      lword = ldoc(23+i)
      iword = iand(iword,mask3)
      K = K + 1
      ISTATS(k) = iand(iword,mask2)
      ISTATS(k) = ISHFT(ISTATS(k),-4)
C     IF (I .GE. 10) GOTO 1	! position 20 is detector identification
      K = K + 1
      ISTATS(k) = iand(iword,mask1)
 1    CONTINUE
      lword = ldoc(34)
      ISTATS(20) = iand(iword,mask3)
      idet = iand(iword,mask3)
c     write (6,6000) ISTATS
 6000 FORMAT ('detector status'/19(z2,1x)/'detector',i4)
      RETURN
      END
