      FUNCTION TEMSAT(PRESS)
C
C $ TEMSAT(PRESS)  (N)
C $ GET KELVIN TEMPERATURE AT SPECIFIED SATURATION VAPOR PRESSURE (MB)
C $   OVER WATER.  0 IS RETURNED IF GIVEN VAPOR PRESSURE IS OUT OF
C $   RANGE OF THE APPROXIMATION (.0636 TO 123.3972)
C $ PRESS = (R) INPUT  SATURATION VAPOR PRESSURE (MB)
C $$ TEMSAT = VAS,COMPUTATION
C
      REAL*8 DVP
C
      IF(PRESS.LT. .0636 .OR. PRESS.GT.123.3972) GO TO 10
      DVP = ALOG10(PRESS)
      TEMSAT = -.225896152438D+2 + DVP*(.261012286592D+2
     1  + DVP*(.30206720594D+1 + DVP*(.370219024579D+0
     2  + .72838702401D-1 * DVP))) + 273.16D+0
      RETURN
C
10    TEMSAT = 0.
      RETURN
      END
